# `exceptions` — Exceptions Used in PyModbus

## API Documentation

### Pymodbus Exceptions

Custom exceptions to be used in the Modbus code.

class `pymodbus.exceptions.``ModbusException`(string)

  Base modbus exception

  `__init__`(string)

    Initialize the exception :param string: The message to append to the error

class `pymodbus.exceptions.``ModbusIOException`(string='')

  Error resulting from data i/o

  `__init__`(string='')

    Initialize the exception :param string: The message to append to the error

class `pymodbus.exceptions.``ParameterException`(string='')

  Error resulting from invalid parameter

  `__init__`(string='')

    Initialize the exception

    Parameters: | string – The message to append to the error

class `pymodbus.exceptions.``NotImplementedException`(string='')

  Error resulting from not implemented function

  `__init__`(string='')

    Initialize the exception :param string: The message to append to the error